﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

using System.Drawing.Drawing2D;

namespace howto_big_toolstrip_buttons
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private ToolStripDropDownButton DiamondButton, SmileyButton;

        private void Form1_Load(object sender, EventArgs e)
        {
            // Make all of the items. (Just to get it over with.)
            Image[] diamond_images =
            {
                Properties.Resources.diamond1,
                Properties.Resources.diamond2,
                Properties.Resources.diamond3,
            };
            string[] diamond_tips =
            {
                "Diamond 0",
                "Diamond 1",
                "Diamond 2",
            };
            int num_diamonds = diamond_images.Length;
            ToolStripButton[] diamond_btns = new ToolStripButton[num_diamonds];
            for (int i = 0; i < num_diamonds; i++)
            {
                ToolStripButton btn = new ToolStripButton(diamond_images[i]);
                btn.ImageScaling = ToolStripItemImageScaling.None;
                btn.ToolTipText = diamond_tips[i];
                btn.Tag = i;
                btn.Click += dropdownButton_Click;
                diamond_btns[i] = btn;
            }

            Image[] smiley_images =
            {
                Properties.Resources.smiley1,
                Properties.Resources.smiley2,
                Properties.Resources.smiley3,
            };
            string[] smiley_tips =
            {
                "Smiley 0",
                "Smiley 1",
                "Smiley 2",
            };
            int num_smileys = smiley_images.Length;
            ToolStripButton[] smiley_btns = new ToolStripButton[num_smileys];
            for (int i = 0; i < num_smileys; i++)
            {
                ToolStripButton btn = new ToolStripButton(smiley_images[i]);
                btn.ImageScaling = ToolStripItemImageScaling.None;
                btn.ToolTipText = smiley_tips[i];
                btn.Tag = i;
                btn.Click += dropdownButton_Click;
                smiley_btns[i] = btn;
            }

            // Prepare the ToolStrip.
            toolStrip1.BackColor = Color.LightBlue;

            // Do the following to make all buttons have
            // the same desired image size.
            //toolStrip1.ImageScalingSize = new Size(50, 50);

            // Make the diamond dropdown button.
            DiamondButton = new ToolStripDropDownButton();
            toolStrip1.Items.Add(DiamondButton);
            DiamondButton.DropDownItems.AddRange(diamond_btns);
            DiamondButton.ImageScaling = ToolStripItemImageScaling.None;
            SelectItem(DiamondButton, diamond_btns[0]);

            // Make the smiley dropdown button.
            SmileyButton = new ToolStripDropDownButton();
            toolStrip1.Items.Add(SmileyButton);
            SmileyButton.DropDownItems.AddRange(smiley_btns);
            SmileyButton.ImageScaling = ToolStripItemImageScaling.None;
            SelectItem(SmileyButton, smiley_btns[0]);

            // Move the top of the Panel control below the ToolStrip.
            panel1.Top = toolStrip1.Bottom;
        }

        private void SelectItem(
            ToolStripDropDownButton parent,
            ToolStripButton item)
        {
            parent.Image = item.Image;
            parent.ToolTipText = item.ToolTipText;
            parent.Tag = item.Tag;
        }

        private void dropdownButton_Click(object sender, EventArgs e)
        {
            ToolStripButton btn = sender as ToolStripButton;
            ToolStripDropDownButton parent = btn.OwnerItem as ToolStripDropDownButton;
            SelectItem(parent, btn);
        }

        private void btnCheckValues_Click(object sender, EventArgs e)
        {
            txtDiamond.Text = DiamondButton.ToolTipText;
            txtSmiley.Text = SmileyButton.ToolTipText;
        }

        private void btnFlower_Click(object sender, EventArgs e)
        {
            MessageBox.Show("Flower");
        }
    }
}
